package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.FAQModel

interface FAQsInteractor {

    interface View {
        fun responseSucceedFAQsData(faqList: ArrayList<FAQModel>, totalCount: Int)
        fun responseFailed(error: VolleyError)
    }


    interface Presenter {
        fun onLoadData(search: String, offset: Int)
    }
}